# motore

OpenMV ha porte IO e può pilotare vari motori.

## motore passo-passo

### Cos'è un motore passo-passo

Il motore passo-passo è un motore di controllo ad anello aperto che converte i
segnali di impulsi elettrici in spostamento angolare o spostamento lineare. È
l'elemento esecutivo principale nei moderni sistemi di controllo del programma
digitale ed è ampiamente utilizzato.

Come le stampanti 3D e i bracci robotici.

### Scheda driver del motore passo-passo

Molti chip e moduli possono controllare motori passo-passo Usiamo un modulo
molto semplice, EasyDriver.

Per dirla semplicemente, la direzione è controllata da dir. Se viene dato un
impulso a step, il motore si sposterà di un passo.

![](/assets/06-07-001.jpg)

### Collegare

![](/assets/06-07-002.jpg)

## Installa il modulo

[Il codice del modulo si trova in questo
collegamento](http://book.openmv.cc/module/write-module-motor.html)

Salva il codice di questa classe come file stepper.py e inseriscilo nella
directory principale di OpenMV.

## codice

```python
# 步进电机控制 - By: 小智智- 周日 4月 2 2017

from pyb import Pin

from stepper import Stepper

import time

step_pin = Pin('P0')
dir_pin = Pin('P1')

my_stepper = Stepper(step_pin,dir_pin)

print("relative angle move test begin:", my_stepper.read_pos())
my_stepper.rel_angle(180)#相对角度控制
print("relative angle move test end:", my_stepper.read_pos())

time.sleep_ms(1000)

print("steps angle move test end:", my_stepper.read_pos())
my_stepper.steps(-400)#步进脉冲控制
print("steps angle move test end:", my_stepper.read_pos())

time.sleep_ms(1000)

print("absolute angle move test begin:", my_stepper.read_pos())
my_stepper.abs_angle(0)#绝对角度控制
print("absolute angle move test end:", my_stepper.read_pos())

time.sleep_ms(1000)
```

## Motore a corrente continua

#### Tutorial 26 - La versione di estensione del motore controlla il motore CC: [https://singtown.com/video](https://singtown.com/video)

### Cos'è un motore DC

La velocità di un motore DC è direttamente proporzionale alla tensione.

### Scheda conducente

Molte schede driver possono azionare motori CC, qui utilizziamo TB6612FNG,
doppio ponte H.

![](/assets/06-07-003.jpg)

### Collegare

![](/assets/06-07-004.jpg)

### codice

```python
待添加
```

## scatola dello sterzo

OpenMV2 ha due pin servo, P7 e P8

OpenMV3 ha tre servo pin, P7, P8, P9

### Collegare

![](/assets/06-07-005.jpg)

### Controllare l'alimentazione

Il servo è un dispositivo ad alta corrente e deve utilizzare un'alimentazione
esterna (alimentatore regolato, batteria al litio...)!

### codice

```python
# Servo Control Example
#
# This example shows how to use your OpenMV Cam to control servos.

import time
from pyb import Servo

s1 = Servo(1) # P7
s2 = Servo(2) # P8
#s3 = Servo(3) # P9 Only for OpenMV3 M7
while(True):
    for i in range(-90,90):
        s1.angle(i)
        s2.angle(i)
        time.sleep_ms(10)
    for i in range(90,-90):
        s1.angle(i)
        s2.angle(i)
        time.sleep_ms(10)
```

## PCA9685 collega più servi

Collegamento per bambini:
[https://singtown.com/product/49277](https://singtown.com/product/49277)

#### Tutorial video 25 - pca9685 controlla più servi: [https://singtown.com/learn/50057/](https://singtown.com/learn/50057/)



Il modulo PCA9685, utilizzando solo 2 pin (protocollo I2C), può controllare 16
canali PWM, ovvero 16 servi o 16 luci LED.Puoi anche collegare 62 moduli e
utilizzare comunque solo 2 pin per controllare 992 PWM!

Collegare

![](/assets/06-07-006-01.jpg)

codice

![](/assets/06-07-007.jpg)

Fare clic per eseguire

